Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/104
Addresses16,777,216
/64 networksPart of one
Network
::ffff:201.0.0.0/104
First address
::ffff:201.0.0.0
Last address
::ffff:201.255.255.255
Addresses
16,777,216
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
0000:0000:0000:0000:0000:ffff:c900:0000
Type
IPv4-mapped ::ffff:0:0/96
An IPv4 address written as IPv6
IPv4 address inside
201.0.0.0
Reverse DNS zone
9.c.f.f.f.f.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa
Split into smaller subnets/116

::ffff:201.0.0.0/104 makes 4,096 subnets of /116; the first 256 are listed.

Subnets
#SubnetLast address
1::ffff:201.0.0.0/116::ffff:201.0.15.255
2::ffff:201.0.16.0/116::ffff:201.0.31.255
3::ffff:201.0.32.0/116::ffff:201.0.47.255
4::ffff:201.0.48.0/116::ffff:201.0.63.255
5::ffff:201.0.64.0/116::ffff:201.0.79.255
6::ffff:201.0.80.0/116::ffff:201.0.95.255
7::ffff:201.0.96.0/116::ffff:201.0.111.255
8::ffff:201.0.112.0/116::ffff:201.0.127.255
9::ffff:201.0.128.0/116::ffff:201.0.143.255
10::ffff:201.0.144.0/116::ffff:201.0.159.255
11::ffff:201.0.160.0/116::ffff:201.0.175.255
12::ffff:201.0.176.0/116::ffff:201.0.191.255
13::ffff:201.0.192.0/116::ffff:201.0.207.255
14::ffff:201.0.208.0/116::ffff:201.0.223.255
15::ffff:201.0.224.0/116::ffff:201.0.239.255
16::ffff:201.0.240.0/116::ffff:201.0.255.255
17::ffff:201.1.0.0/116::ffff:201.1.15.255
18::ffff:201.1.16.0/116::ffff:201.1.31.255
19::ffff:201.1.32.0/116::ffff:201.1.47.255
20::ffff:201.1.48.0/116::ffff:201.1.63.255
21::ffff:201.1.64.0/116::ffff:201.1.79.255
22::ffff:201.1.80.0/116::ffff:201.1.95.255
23::ffff:201.1.96.0/116::ffff:201.1.111.255
24::ffff:201.1.112.0/116::ffff:201.1.127.255
25::ffff:201.1.128.0/116::ffff:201.1.143.255
26::ffff:201.1.144.0/116::ffff:201.1.159.255
27::ffff:201.1.160.0/116::ffff:201.1.175.255
28::ffff:201.1.176.0/116::ffff:201.1.191.255
29::ffff:201.1.192.0/116::ffff:201.1.207.255
30::ffff:201.1.208.0/116::ffff:201.1.223.255
31::ffff:201.1.224.0/116::ffff:201.1.239.255
32::ffff:201.1.240.0/116::ffff:201.1.255.255
33::ffff:201.2.0.0/116::ffff:201.2.15.255
34::ffff:201.2.16.0/116::ffff:201.2.31.255
35::ffff:201.2.32.0/116::ffff:201.2.47.255
36::ffff:201.2.48.0/116::ffff:201.2.63.255
37::ffff:201.2.64.0/116::ffff:201.2.79.255
38::ffff:201.2.80.0/116::ffff:201.2.95.255
39::ffff:201.2.96.0/116::ffff:201.2.111.255
40::ffff:201.2.112.0/116::ffff:201.2.127.255
41::ffff:201.2.128.0/116::ffff:201.2.143.255
42::ffff:201.2.144.0/116::ffff:201.2.159.255
43::ffff:201.2.160.0/116::ffff:201.2.175.255
44::ffff:201.2.176.0/116::ffff:201.2.191.255
45::ffff:201.2.192.0/116::ffff:201.2.207.255
46::ffff:201.2.208.0/116::ffff:201.2.223.255
47::ffff:201.2.224.0/116::ffff:201.2.239.255
48::ffff:201.2.240.0/116::ffff:201.2.255.255
49::ffff:201.3.0.0/116::ffff:201.3.15.255
50::ffff:201.3.16.0/116::ffff:201.3.31.255
51::ffff:201.3.32.0/116::ffff:201.3.47.255
52::ffff:201.3.48.0/116::ffff:201.3.63.255
53::ffff:201.3.64.0/116::ffff:201.3.79.255
54::ffff:201.3.80.0/116::ffff:201.3.95.255
55::ffff:201.3.96.0/116::ffff:201.3.111.255
56::ffff:201.3.112.0/116::ffff:201.3.127.255
57::ffff:201.3.128.0/116::ffff:201.3.143.255
58::ffff:201.3.144.0/116::ffff:201.3.159.255
59::ffff:201.3.160.0/116::ffff:201.3.175.255
60::ffff:201.3.176.0/116::ffff:201.3.191.255
61::ffff:201.3.192.0/116::ffff:201.3.207.255
62::ffff:201.3.208.0/116::ffff:201.3.223.255
63::ffff:201.3.224.0/116::ffff:201.3.239.255
64::ffff:201.3.240.0/116::ffff:201.3.255.255
65::ffff:201.4.0.0/116::ffff:201.4.15.255
66::ffff:201.4.16.0/116::ffff:201.4.31.255
67::ffff:201.4.32.0/116::ffff:201.4.47.255
68::ffff:201.4.48.0/116::ffff:201.4.63.255
69::ffff:201.4.64.0/116::ffff:201.4.79.255
70::ffff:201.4.80.0/116::ffff:201.4.95.255
71::ffff:201.4.96.0/116::ffff:201.4.111.255
72::ffff:201.4.112.0/116::ffff:201.4.127.255
73::ffff:201.4.128.0/116::ffff:201.4.143.255
74::ffff:201.4.144.0/116::ffff:201.4.159.255
75::ffff:201.4.160.0/116::ffff:201.4.175.255
76::ffff:201.4.176.0/116::ffff:201.4.191.255
77::ffff:201.4.192.0/116::ffff:201.4.207.255
78::ffff:201.4.208.0/116::ffff:201.4.223.255
79::ffff:201.4.224.0/116::ffff:201.4.239.255
80::ffff:201.4.240.0/116::ffff:201.4.255.255
81::ffff:201.5.0.0/116::ffff:201.5.15.255
82::ffff:201.5.16.0/116::ffff:201.5.31.255
83::ffff:201.5.32.0/116::ffff:201.5.47.255
84::ffff:201.5.48.0/116::ffff:201.5.63.255
85::ffff:201.5.64.0/116::ffff:201.5.79.255
86::ffff:201.5.80.0/116::ffff:201.5.95.255
87::ffff:201.5.96.0/116::ffff:201.5.111.255
88::ffff:201.5.112.0/116::ffff:201.5.127.255
89::ffff:201.5.128.0/116::ffff:201.5.143.255
90::ffff:201.5.144.0/116::ffff:201.5.159.255
91::ffff:201.5.160.0/116::ffff:201.5.175.255
92::ffff:201.5.176.0/116::ffff:201.5.191.255
93::ffff:201.5.192.0/116::ffff:201.5.207.255
94::ffff:201.5.208.0/116::ffff:201.5.223.255
95::ffff:201.5.224.0/116::ffff:201.5.239.255
96::ffff:201.5.240.0/116::ffff:201.5.255.255
97::ffff:201.6.0.0/116::ffff:201.6.15.255
98::ffff:201.6.16.0/116::ffff:201.6.31.255
99::ffff:201.6.32.0/116::ffff:201.6.47.255
100::ffff:201.6.48.0/116::ffff:201.6.63.255
101::ffff:201.6.64.0/116::ffff:201.6.79.255
102::ffff:201.6.80.0/116::ffff:201.6.95.255
103::ffff:201.6.96.0/116::ffff:201.6.111.255
104::ffff:201.6.112.0/116::ffff:201.6.127.255
105::ffff:201.6.128.0/116::ffff:201.6.143.255
106::ffff:201.6.144.0/116::ffff:201.6.159.255
107::ffff:201.6.160.0/116::ffff:201.6.175.255
108::ffff:201.6.176.0/116::ffff:201.6.191.255
109::ffff:201.6.192.0/116::ffff:201.6.207.255
110::ffff:201.6.208.0/116::ffff:201.6.223.255
111::ffff:201.6.224.0/116::ffff:201.6.239.255
112::ffff:201.6.240.0/116::ffff:201.6.255.255
113::ffff:201.7.0.0/116::ffff:201.7.15.255
114::ffff:201.7.16.0/116::ffff:201.7.31.255
115::ffff:201.7.32.0/116::ffff:201.7.47.255
116::ffff:201.7.48.0/116::ffff:201.7.63.255
117::ffff:201.7.64.0/116::ffff:201.7.79.255
118::ffff:201.7.80.0/116::ffff:201.7.95.255
119::ffff:201.7.96.0/116::ffff:201.7.111.255
120::ffff:201.7.112.0/116::ffff:201.7.127.255
121::ffff:201.7.128.0/116::ffff:201.7.143.255
122::ffff:201.7.144.0/116::ffff:201.7.159.255
123::ffff:201.7.160.0/116::ffff:201.7.175.255
124::ffff:201.7.176.0/116::ffff:201.7.191.255
125::ffff:201.7.192.0/116::ffff:201.7.207.255
126::ffff:201.7.208.0/116::ffff:201.7.223.255
127::ffff:201.7.224.0/116::ffff:201.7.239.255
128::ffff:201.7.240.0/116::ffff:201.7.255.255
129::ffff:201.8.0.0/116::ffff:201.8.15.255
130::ffff:201.8.16.0/116::ffff:201.8.31.255
131::ffff:201.8.32.0/116::ffff:201.8.47.255
132::ffff:201.8.48.0/116::ffff:201.8.63.255
133::ffff:201.8.64.0/116::ffff:201.8.79.255
134::ffff:201.8.80.0/116::ffff:201.8.95.255
135::ffff:201.8.96.0/116::ffff:201.8.111.255
136::ffff:201.8.112.0/116::ffff:201.8.127.255
137::ffff:201.8.128.0/116::ffff:201.8.143.255
138::ffff:201.8.144.0/116::ffff:201.8.159.255
139::ffff:201.8.160.0/116::ffff:201.8.175.255
140::ffff:201.8.176.0/116::ffff:201.8.191.255
141::ffff:201.8.192.0/116::ffff:201.8.207.255
142::ffff:201.8.208.0/116::ffff:201.8.223.255
143::ffff:201.8.224.0/116::ffff:201.8.239.255
144::ffff:201.8.240.0/116::ffff:201.8.255.255
145::ffff:201.9.0.0/116::ffff:201.9.15.255
146::ffff:201.9.16.0/116::ffff:201.9.31.255
147::ffff:201.9.32.0/116::ffff:201.9.47.255
148::ffff:201.9.48.0/116::ffff:201.9.63.255
149::ffff:201.9.64.0/116::ffff:201.9.79.255
150::ffff:201.9.80.0/116::ffff:201.9.95.255
151::ffff:201.9.96.0/116::ffff:201.9.111.255
152::ffff:201.9.112.0/116::ffff:201.9.127.255
153::ffff:201.9.128.0/116::ffff:201.9.143.255
154::ffff:201.9.144.0/116::ffff:201.9.159.255
155::ffff:201.9.160.0/116::ffff:201.9.175.255
156::ffff:201.9.176.0/116::ffff:201.9.191.255
157::ffff:201.9.192.0/116::ffff:201.9.207.255
158::ffff:201.9.208.0/116::ffff:201.9.223.255
159::ffff:201.9.224.0/116::ffff:201.9.239.255
160::ffff:201.9.240.0/116::ffff:201.9.255.255
161::ffff:201.10.0.0/116::ffff:201.10.15.255
162::ffff:201.10.16.0/116::ffff:201.10.31.255
163::ffff:201.10.32.0/116::ffff:201.10.47.255
164::ffff:201.10.48.0/116::ffff:201.10.63.255
165::ffff:201.10.64.0/116::ffff:201.10.79.255
166::ffff:201.10.80.0/116::ffff:201.10.95.255
167::ffff:201.10.96.0/116::ffff:201.10.111.255
168::ffff:201.10.112.0/116::ffff:201.10.127.255
169::ffff:201.10.128.0/116::ffff:201.10.143.255
170::ffff:201.10.144.0/116::ffff:201.10.159.255
171::ffff:201.10.160.0/116::ffff:201.10.175.255
172::ffff:201.10.176.0/116::ffff:201.10.191.255
173::ffff:201.10.192.0/116::ffff:201.10.207.255
174::ffff:201.10.208.0/116::ffff:201.10.223.255
175::ffff:201.10.224.0/116::ffff:201.10.239.255
176::ffff:201.10.240.0/116::ffff:201.10.255.255
177::ffff:201.11.0.0/116::ffff:201.11.15.255
178::ffff:201.11.16.0/116::ffff:201.11.31.255
179::ffff:201.11.32.0/116::ffff:201.11.47.255
180::ffff:201.11.48.0/116::ffff:201.11.63.255
181::ffff:201.11.64.0/116::ffff:201.11.79.255
182::ffff:201.11.80.0/116::ffff:201.11.95.255
183::ffff:201.11.96.0/116::ffff:201.11.111.255
184::ffff:201.11.112.0/116::ffff:201.11.127.255
185::ffff:201.11.128.0/116::ffff:201.11.143.255
186::ffff:201.11.144.0/116::ffff:201.11.159.255
187::ffff:201.11.160.0/116::ffff:201.11.175.255
188::ffff:201.11.176.0/116::ffff:201.11.191.255
189::ffff:201.11.192.0/116::ffff:201.11.207.255
190::ffff:201.11.208.0/116::ffff:201.11.223.255
191::ffff:201.11.224.0/116::ffff:201.11.239.255
192::ffff:201.11.240.0/116::ffff:201.11.255.255
193::ffff:201.12.0.0/116::ffff:201.12.15.255
194::ffff:201.12.16.0/116::ffff:201.12.31.255
195::ffff:201.12.32.0/116::ffff:201.12.47.255
196::ffff:201.12.48.0/116::ffff:201.12.63.255
197::ffff:201.12.64.0/116::ffff:201.12.79.255
198::ffff:201.12.80.0/116::ffff:201.12.95.255
199::ffff:201.12.96.0/116::ffff:201.12.111.255
200::ffff:201.12.112.0/116::ffff:201.12.127.255
201::ffff:201.12.128.0/116::ffff:201.12.143.255
202::ffff:201.12.144.0/116::ffff:201.12.159.255
203::ffff:201.12.160.0/116::ffff:201.12.175.255
204::ffff:201.12.176.0/116::ffff:201.12.191.255
205::ffff:201.12.192.0/116::ffff:201.12.207.255
206::ffff:201.12.208.0/116::ffff:201.12.223.255
207::ffff:201.12.224.0/116::ffff:201.12.239.255
208::ffff:201.12.240.0/116::ffff:201.12.255.255
209::ffff:201.13.0.0/116::ffff:201.13.15.255
210::ffff:201.13.16.0/116::ffff:201.13.31.255
211::ffff:201.13.32.0/116::ffff:201.13.47.255
212::ffff:201.13.48.0/116::ffff:201.13.63.255
213::ffff:201.13.64.0/116::ffff:201.13.79.255
214::ffff:201.13.80.0/116::ffff:201.13.95.255
215::ffff:201.13.96.0/116::ffff:201.13.111.255
216::ffff:201.13.112.0/116::ffff:201.13.127.255
217::ffff:201.13.128.0/116::ffff:201.13.143.255
218::ffff:201.13.144.0/116::ffff:201.13.159.255
219::ffff:201.13.160.0/116::ffff:201.13.175.255
220::ffff:201.13.176.0/116::ffff:201.13.191.255
221::ffff:201.13.192.0/116::ffff:201.13.207.255
222::ffff:201.13.208.0/116::ffff:201.13.223.255
223::ffff:201.13.224.0/116::ffff:201.13.239.255
224::ffff:201.13.240.0/116::ffff:201.13.255.255
225::ffff:201.14.0.0/116::ffff:201.14.15.255
226::ffff:201.14.16.0/116::ffff:201.14.31.255
227::ffff:201.14.32.0/116::ffff:201.14.47.255
228::ffff:201.14.48.0/116::ffff:201.14.63.255
229::ffff:201.14.64.0/116::ffff:201.14.79.255
230::ffff:201.14.80.0/116::ffff:201.14.95.255
231::ffff:201.14.96.0/116::ffff:201.14.111.255
232::ffff:201.14.112.0/116::ffff:201.14.127.255
233::ffff:201.14.128.0/116::ffff:201.14.143.255
234::ffff:201.14.144.0/116::ffff:201.14.159.255
235::ffff:201.14.160.0/116::ffff:201.14.175.255
236::ffff:201.14.176.0/116::ffff:201.14.191.255
237::ffff:201.14.192.0/116::ffff:201.14.207.255
238::ffff:201.14.208.0/116::ffff:201.14.223.255
239::ffff:201.14.224.0/116::ffff:201.14.239.255
240::ffff:201.14.240.0/116::ffff:201.14.255.255
241::ffff:201.15.0.0/116::ffff:201.15.15.255
242::ffff:201.15.16.0/116::ffff:201.15.31.255
243::ffff:201.15.32.0/116::ffff:201.15.47.255
244::ffff:201.15.48.0/116::ffff:201.15.63.255
245::ffff:201.15.64.0/116::ffff:201.15.79.255
246::ffff:201.15.80.0/116::ffff:201.15.95.255
247::ffff:201.15.96.0/116::ffff:201.15.111.255
248::ffff:201.15.112.0/116::ffff:201.15.127.255
249::ffff:201.15.128.0/116::ffff:201.15.143.255
250::ffff:201.15.144.0/116::ffff:201.15.159.255
251::ffff:201.15.160.0/116::ffff:201.15.175.255
252::ffff:201.15.176.0/116::ffff:201.15.191.255
253::ffff:201.15.192.0/116::ffff:201.15.207.255
254::ffff:201.15.208.0/116::ffff:201.15.223.255
255::ffff:201.15.224.0/116::ffff:201.15.239.255
256::ffff:201.15.240.0/116::ffff:201.15.255.255

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses